Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class ArgumentList

    java.lang.Object
      com.novell.xml.xpath.ArgumentList

    public class ArgumentList

extends Object

This class implements a function argument list as list of expressions

See Also:
  `FunctionCall`

Constructor Summary
`ArgumentList()` Construct an empty ArgumentList
`ArgumentList(Expression[] expressions)` Construct a list of argument expressions.

Method Summary
`int` | `count()` Return number of argument in ArgumentList
`Expression` | `getArgument(int index)` Return the ith argument in the ArgumentList
`String` | `toString()` Provide a readable description for debugging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgumentList

    public ArgumentList(Expression[] expressions)

  Construct a list of argument expressions.

  Parameters:
    `expressions` - An array of 1 or more expressions.

### ArgumentList

    public ArgumentList()

  Construct an empty ArgumentList

Method Detail

### toString

    public String toString()

  Provide a readable description for debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation

### count

    public int count()

  Return number of argument in ArgumentList

  Returns:
    Number of arguments in list.

### getArgument

    public Expression getArgument(int index)

  Return the ith argument in the ArgumentList

  Parameters:
    `index` - The 0-based number of the argument.
  Returns:
    The Expression that is the argument at the passed index, or null if there are no arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD